<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/AudioPlayer/test/IntervalCalculatorTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.9.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_9dde9d78e15cabfb8e2b222ee9474f52.html">AudioPlayer</a></li><li class="navelem"><a class="el" href="dir_af129863ad56f16d5df71d032b900cc7.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">IntervalCalculatorTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;gmock/gmock.h&gt;</code><br />
<code>#include &quot;<a class="el" href="_interval_calculator_8h_source.html">AudioPlayer/IntervalCalculator.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for IntervalCalculatorTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_interval_calculator_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_capability_agents_2_audio_player_2test_2_interval_calculator_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_capability_agents_2_audio_player_2test_2_interval_calculator_test_8cpp" id="_2workplace_2avs-device-sdk_2_capability_agents_2_audio_player_2test_2_interval_calculator_test_8cpp">
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">alexaClientSDK::capabilityAgents</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player.html">alexaClientSDK::capabilityAgents::audioPlayer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html">alexaClientSDK::capabilityAgents::audioPlayer::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a795dfe0d80e0ba1ff5d6b30d25dbab21"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#a795dfe0d80e0ba1ff5d6b30d25dbab21">alexaClientSDK::capabilityAgents::audioPlayer::test::TEST</a> (IntervalCalculatorTest, intervalGreaterThanOffset)</td></tr>
<tr class="memdesc:a795dfe0d80e0ba1ff5d6b30d25dbab21"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test for when the interval is greater than the offset.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#a795dfe0d80e0ba1ff5d6b30d25dbab21">More...</a><br /></td></tr>
<tr class="separator:a795dfe0d80e0ba1ff5d6b30d25dbab21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47bff5cc871f4a67ba4fe754076757ec"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#a47bff5cc871f4a67ba4fe754076757ec">alexaClientSDK::capabilityAgents::audioPlayer::test::TEST</a> (IntervalCalculatorTest, intervalEqualToOffset)</td></tr>
<tr class="memdesc:a47bff5cc871f4a67ba4fe754076757ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test for when the interval is equal to the offset.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#a47bff5cc871f4a67ba4fe754076757ec">More...</a><br /></td></tr>
<tr class="separator:a47bff5cc871f4a67ba4fe754076757ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f55d0aa8200bd09a7965d1f601436d5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#a2f55d0aa8200bd09a7965d1f601436d5">alexaClientSDK::capabilityAgents::audioPlayer::test::TEST</a> (IntervalCalculatorTest, intervalLessThanOffset)</td></tr>
<tr class="memdesc:a2f55d0aa8200bd09a7965d1f601436d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test for when the interval is less than the offset.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#a2f55d0aa8200bd09a7965d1f601436d5">More...</a><br /></td></tr>
<tr class="separator:a2f55d0aa8200bd09a7965d1f601436d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af702876b0345a1881cb757ceafce85d2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#af702876b0345a1881cb757ceafce85d2">alexaClientSDK::capabilityAgents::audioPlayer::test::TEST</a> (IntervalCalculatorTest, intervalLessThanOffsetByMultipleTimes)</td></tr>
<tr class="memdesc:af702876b0345a1881cb757ceafce85d2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test for when the interval is less than the offset but by more than one interval.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#af702876b0345a1881cb757ceafce85d2">More...</a><br /></td></tr>
<tr class="separator:af702876b0345a1881cb757ceafce85d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb1d48adc3b9e1a30ccceb5d097d4ab5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#afb1d48adc3b9e1a30ccceb5d097d4ab5">alexaClientSDK::capabilityAgents::audioPlayer::test::TEST</a> (IntervalCalculatorTest, intervalNegative)</td></tr>
<tr class="memdesc:afb1d48adc3b9e1a30ccceb5d097d4ab5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test for when the interval is negative.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#afb1d48adc3b9e1a30ccceb5d097d4ab5">More...</a><br /></td></tr>
<tr class="separator:afb1d48adc3b9e1a30ccceb5d097d4ab5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19ed00e0d8d93ec279572f22928885d0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#a19ed00e0d8d93ec279572f22928885d0">alexaClientSDK::capabilityAgents::audioPlayer::test::TEST</a> (IntervalCalculatorTest, offsetNegative)</td></tr>
<tr class="memdesc:a19ed00e0d8d93ec279572f22928885d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test for when the offset is negative.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#a19ed00e0d8d93ec279572f22928885d0">More...</a><br /></td></tr>
<tr class="separator:a19ed00e0d8d93ec279572f22928885d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7936c5b181a5c80200baca2a26477087"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#a7936c5b181a5c80200baca2a26477087">alexaClientSDK::capabilityAgents::audioPlayer::test::TEST</a> (IntervalCalculatorTest, intervalAndoffsetNegative)</td></tr>
<tr class="memdesc:a7936c5b181a5c80200baca2a26477087"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test for when the interval and offset are negative.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#a7936c5b181a5c80200baca2a26477087">More...</a><br /></td></tr>
<tr class="separator:a7936c5b181a5c80200baca2a26477087"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec36db994958ead5635dc17f595a922a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#aec36db994958ead5635dc17f595a922a">alexaClientSDK::capabilityAgents::audioPlayer::test::TEST</a> (IntervalCalculatorTest, intervalZero)</td></tr>
<tr class="memdesc:aec36db994958ead5635dc17f595a922a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test for when the interval is zero.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#aec36db994958ead5635dc17f595a922a">More...</a><br /></td></tr>
<tr class="separator:aec36db994958ead5635dc17f595a922a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa657330084dcc5284dcd3d53c09d0249"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#aa657330084dcc5284dcd3d53c09d0249">alexaClientSDK::capabilityAgents::audioPlayer::test::TEST</a> (IntervalCalculatorTest, offsetZero)</td></tr>
<tr class="memdesc:aa657330084dcc5284dcd3d53c09d0249"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test for when the offset is zero.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#aa657330084dcc5284dcd3d53c09d0249">More...</a><br /></td></tr>
<tr class="separator:aa657330084dcc5284dcd3d53c09d0249"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1f30aa60e0134700f2e971524f23816"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#ad1f30aa60e0134700f2e971524f23816">alexaClientSDK::capabilityAgents::audioPlayer::test::TEST</a> (IntervalCalculatorTest, nullOutputParameter)</td></tr>
<tr class="memdesc:ad1f30aa60e0134700f2e971524f23816"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test for null output parameter.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#ad1f30aa60e0134700f2e971524f23816">More...</a><br /></td></tr>
<tr class="separator:ad1f30aa60e0134700f2e971524f23816"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.9.0 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
